#
# spec file for package imageburner
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid com.github.artemanufrij.imageburner
Name:           imageburner
Version:        1.0.2
Release:        2.3
Summary:        Image burner
License:        GPL-3.0-or-later
URL:            https://github.com/artemanufrij/imageburner
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  contractor
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(granite) >= 0.5
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22

%description
An image burner, written especially for the Pantheon Desktop.

%lang_package

%prep
%autosetup

mv debian/copyright COPYING

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}

%files
%license COPYING
%doc README.md
%{_bindir}/%{appid}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/icons/hicolor/*/{apps,mimetypes}/%{appid}.svg
%{_datadir}/metainfo/%{appid}.appdata.xml
%{_datadir}/contractor/%{appid}.contract

%files lang -f %{appid}.lang

%changelog
* Mon Nov 18 2024 Richard Rahl <rrahl0@opensuse.org>
- update spec file for Leap 16.0:
  * remove %%suse_update_desktop_file
  * remove recommending lang package
  * remove mentions of elementary
* Mon Jul 22 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.2:
  * Update fr.po
  * Update tr.po
  * Update LINGUAS
  * appdata contractor [de]
  * Merge pull request #55 from torikulhabib/patch-1
  * fix contractor missing
  * fixed header bar style; fixed warning
* Mon Oct 22 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.1:
  * Update .desktop comment entry
  * fixed warning for appdata.xml
* Mon Sep 24 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.0:
  * remove Cmake configs
  * regenerate po files
  * remove empty languages from LINGUAS and po files
  * add mission languages to LINGUAS
  * add POTFILES and regenerate main pot file
  * add meson configuration
  * Update README.md
  * Update lt.po
  * Update com.github.artemanufrij.imageburner.appdata.xml
- Switch to meson
- Spec file cleanup
* Wed Aug  1 2018 avvissu@yandex.by
- Update to 0.2.0:
  * update appdata
- Switch to metainfo from appdata
- Remove obsolete macros
* Sat Apr  7 2018 avvissu@yandex.by
- Update to 0.1.15:
  * appdata and new pot content
  * fixed wording while writing an iso. fix #41
  * code style
  * fix micro sd behaviour
* Mon Mar 26 2018 avvissu@yandex.by
- Update to 0.1.14:
  * Add pl.po
  * simplified UI an dd
  * default-decoration
  * Update README.md
  * appdata (homepage)
* Fri Mar  2 2018 avvissu@yandex.by
- Update to 0.1.12:
  * fix #34
  * Merge pull request #31 from DanyGee/patch-1
  * Merge pull request #32 from DanyGee/patch-2
  * Merge pull request #29 from welaq/patch-2
  * Update lt.po
  * Merge pull request #28 from wsxy162/master
* Fri Feb  9 2018 avvissu@yandex.by
- Update to 0.1.10:
  * Update README.md
  * Merge branch 'master' of github.com:artemanufrij/imageburner
  * appdata.xml
  * Merge pull request #27 from opnay/master
  * Merge pull request #26 from waldyrious/patch-1
* Sat Jan  6 2018 avvissu@yandex.by
- Update to 0.1.9:
  * show spinner
* Sun Dec 24 2017 avvissu@yandex.by
- Update to 0.1.8:
  * added waiting spinner for hash calculation
  * make new pot file
  * renamed icon
  * calculate checksum
  * Add files via upload
  * Update README.md
* Tue Dec 19 2017 jengelh@inai.de
- Ensure neutrality of description.
* Wed Nov  8 2017 avvissu@yandex.by
- Initial package
